com.dlsc.flexgantt.icons.gif16eclipse

## Class Gif16EclipseIconMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<IconId,Icon>
    - - com.dlsc.flexgantt.icons.AbstractIconMap
      - - com.dlsc.flexgantt.icons.gif16eclipse.Gif16EclipseIconMap

- All Implemented Interfaces:
    IIconMap, Serializable, Cloneable, Map<IconId,Icon>
  Direct Known Subclasses:
    Png16XPIconMap

      public class Gif16EclipseIconMap
      extends AbstractIconMap

  An icon map implementation that uses GIF images to create icons for the icon IDs. The icons are all 16x16 pixels large.
  Since:
    1.0
  Version:
    $Revision: 1.15 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Gif16EclipseIconMap()` Constructs a new icon map.
    `protected` | `Gif16EclipseIconMap(int iconWidth, int iconHeight)` Constructs a new icon map.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Runs a little app that will show a table that lists the defined icons and their IDs.

    - ### Methods inherited from class com.dlsc.flexgantt.icons.AbstractIconMap

      `getDisabledIcon, getIcon, getIconDimension, getLoadedFileNames, loadIcon, setIcon`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Gif16EclipseIconMap

          public Gif16EclipseIconMap()

      Constructs a new icon map.
      Since:
        1.0

    - #### Gif16EclipseIconMap

          protected Gif16EclipseIconMap(int iconWidth,
                                        int iconHeight)

      Constructs a new icon map.
      Parameters:
        `iconWidth` - the width of the icons contained in this map
        `iconHeight` - the height of the icons contained in this map
      Since:
        2.0

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Runs a little app that will show a table that lists the defined icons and their IDs.
      Parameters:
        `args` - optional program arguments (not used)
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.